Question: Cannot install ATHLATES, issues with bamtools
0
gravatar for darkmatter1996
2.3 years ago by
darkmatter19960 wrote:

I am trying to install Athlates (July 31, 2014 version) from the instruction here: https://hpc.nih.gov/docs/Athlates.pdf on a computing cluster. However, I am running into issues with the corresponding bamtools. The Athlates makefile echoes the following command:

/usr/bin/g++ -O3 -I/n/home05/aewhatley/bamtools/include/ -L/n/home05/aewhatley/bamtools/lib *.cpp -o ../bin/typing -lpthread -lbamtools -lz

However, after installing bamtools (instructions here: https://github.com/pezmaster31/bamtools/wiki/Building-and-installing), there are no files present in the "/n/home05/aewhatley/bamtools/lib" folder that the command is trying to reach, and there is no "/n/home05/aewhatley/bamtools/include/" folder at all!

Has bamtools been changed since Athlates was created, and if so, how would I install it now? Thanks.

software error • 739 views
ADD COMMENTlink written 2.3 years ago by darkmatter19960

If you followed bamtools install instructions, it is "installed" where you downloaded, unpacked and compiled it. So you should set LD_LIBRARY_PATH to point to the lib folder where you compiled bamtools:

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/path/to/bamtools/lib

ADD REPLYlink written 2.3 years ago by h.mon25k

I'm aware of that. The issue is that the Athlates installation is failing, and that appears to be because the files are not in the right place, as the include directory does not exist, and the lib directory is empty. Sorry if that was not clear from the OP. I'm asking if anyone knows why this is happening, and how to fix it.

ADD REPLYlink modified 2.3 years ago • written 2.3 years ago by darkmatter19960

You mean bamtools is not compiling? So you should troubleshoot installing bamtools first.

ADD REPLYlink written 2.3 years ago by h.mon25k

No, sorry, I meant the Athlates installation. I updated the previous comment.

ADD REPLYlink written 2.3 years ago by darkmatter19960

I'm also having the same problem. I even changed the line #include "api/BamReader.h" in the src/bam_manip.h file to the correct path of BamReader.h of bamtools. Still doesn't work. It still says it can't find api/BamReader.h

ADD REPLYlink written 19 months ago by maduh1710
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1755 users visited in the last hour